package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DksqMapper;
import com.ruoyi.system.domain.Dksq;
import com.ruoyi.system.service.IDksqService;

/**
 * 贷款申请_主Service业务层处理
 * 
 * @author boman
 * @date 2023-06-15
 */
@Service
public class DksqServiceImpl implements IDksqService 
{
    @Autowired
    private DksqMapper dksqMapper;

    /**
     * 查询贷款申请_主
     * 
     * @param id 贷款申请_主主键
     * @return 贷款申请_主
     */
    @Override
    public Dksq selectDksqById(Long id)
    {
        return dksqMapper.selectDksqById(id);
    }

    /**
     * 查询贷款申请_主列表
     * 
     * @param dksq 贷款申请_主
     * @return 贷款申请_主
     */
    @Override
    public List<Dksq> selectDksqList(Dksq dksq)
    {
        return dksqMapper.selectDksqList(dksq);
    }

    /**
     * 新增贷款申请_主
     * 
     * @param dksq 贷款申请_主
     * @return 结果
     */
    @Override
    public int insertDksq(Dksq dksq)
    {
        dksq.setCreateTime(DateUtils.getNowDate());
        return dksqMapper.insertDksq(dksq);
    }

    /**
     * 修改贷款申请_主
     * 
     * @param dksq 贷款申请_主
     * @return 结果
     */
    @Override
    public int updateDksq(Dksq dksq)
    {
        dksq.setUpdateTime(DateUtils.getNowDate());
        return dksqMapper.updateDksq(dksq);
    }

    /**
     * 批量删除贷款申请_主
     * 
     * @param ids 需要删除的贷款申请_主主键
     * @return 结果
     */
    @Override
    public int deleteDksqByIds(Long[] ids)
    {
        return dksqMapper.deleteDksqByIds(ids);
    }

    /**
     * 删除贷款申请_主信息
     * 
     * @param id 贷款申请_主主键
     * @return 结果
     */
    @Override
    public int deleteDksqById(Long id)
    {
        return dksqMapper.deleteDksqById(id);
    }
}
